Reset the device location to default
curl --request DELETE \
--url https://api.mobilerun.ai/devices/{deviceId}/location \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mobilerun.ai/devices/{deviceId}/location"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mobilerun.ai/devices/{deviceId}/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Misc
Reset the device location to default
Clears any simulated GPS location and restores the device’s default location behavior. Devices without geo support return an unsupported-feature error.
DELETE
/
devices
/
{deviceId}
/
location
Reset the device location to default
On cloud devices this re-points the simulated position at the platform default — New York City (
40.7128, -74.0060) — it does not disable location simulation.Was this page helpful?
⌘I